# $Revision: 1.74 $, $Date: 2004/07/29 05:02:28 $
%define		_state		stable
%define		_ver		3.2.3

Summary:	Web development tool for KDE
Summary(es):	Uno editor WEB para KDE
Summary(pl):	Narzdzie do tworzenia WWW dla KDE
Summary(pt_BR):	Um editor web para o KDE
Name:		quanta
Version:	%{_ver}
Release:	2
Epoch:		1
License:	GPL
Group:		X11/Development/Tools
#Source0:	http://ep09.pld-linux.org/~djurban/kde/%{name}-%{version}.tar.bz2
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	7a0718b0fe1b4e833f0a9fff9987368a
Source1:	http://dl.sourceforge.net/%{name}/css.tar.bz2
# Source1-md5:	9134a94af4c783c740cc0ad5806e4b51
Source2:	http://dl.sourceforge.net/%{name}/html.tar.bz2
# Source2-md5:	0cc3234c4b3df88d4115340ce05e0053
Source3:	http://dl.sourceforge.net/%{name}/javascript.tar.bz2
# Source3-md5:	eea6e25a1c25af1f5a0c33e32e52c136
Source4:	http://dl.sourceforge.net/%{name}/php.tar.bz2
# Source4-md5:	8ae86e900874549c3749ee5940756817
BuildRequires:	unsermake >= 040511
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.6.1
BuildRequires:	kdelibs-devel >= 9:%{version}
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	kdebase-core >= 9:%{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quanta Plus is a web development tool for the K Desktop Environment.
Quanta is designed for quick web development and is rapidly becoming a
mature editor with a number of great features.

%description -l es
Quanta Plus s una herramienta de desarrollo web para KDE. Es
projetado para rapido desarrollo web e es casi pronto com excelent
quantidad de caracteristicas.

%description -l pl
Quanta Plus to narzdzie do tworzenia WWW dla rodowiska KDE. Suy do
szybkiego tworzenia stron i staje si dojrzaym edytorem z wieloma
przydatnymi moliwociami.

%description -l pt_BR
O Quanta Plus  uma ferramenta para desenvolvimento web para o KDE. 
projetado para desenvolvimento web rpido e est rapidamente se
tornando um editor maduro com um bom nmero de excelentes
caractersticas.

%package devel
Summary:	Header files for Quanta libraries
Summary(pl):	Pliki nagwkowe bibliotek Quanty
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for Quanta libraries.

%description devel -l pl
Pliki nagwkowe bibliotek Quanty.

%package doc
Summary:	Quanta documentation concerning the application use and UI
Summary(pl):	Dokumentacja do aplikacji Quanta dotyczca obsugi i interfejsu uytkownika
Group:		Documentation
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description doc
This package contains documentation concerning the use of Quanta and
its UI.

%description doc -l pl
Pakiet ten zawiera dokumentacj w ktrej opisano obsug i interfejs
uytkownika Quanty.

%package doc-css
Summary:	Quanta documentation concerning the use of CSS
Summary(pl):	Dokumentacja do aplikacji Quanta dotyczca korzystania z CSS
Group:		Documentation
Requires:	%{name}-doc = %{epoch}:%{version}-%{release}

%description doc-css
This package contains the Cascading Style Sheet manual.

%description doc-css -l pl
Pakiet ten zawiera podrcznik do Cascading Style Sheets.

%package doc-php
Summary:	Quanta documentation concerning the use of PHP
Summary(pl):	Dokumentacja do aplikacji Quanta dotyczca korzystania z PHP
Group:		Documentation
Requires:	%{name}-doc = %{epoch}:%{version}-%{release}

%description doc-php
This package contains the PHP manual.

%description doc-php -l pl
Pakiet ten zawiera podrcznik do PHP.

%package doc-html
Summary:	Quanta documentation concerning the use of HTML
Summary(pl):	Dokumentacja do aplikacji Quanta dotyczca korzystania z HTML-a
Group:		Documentation
Requires:	%{name}-doc = %{epoch}:%{version}-%{release}

%description doc-html
This package contains the HTML manual.

%description doc-html -l pl
Pakiet ten zawiera podrcznik do HTML-a.

%package doc-javascript
Summary:	Quanta documentation concerning the use of Javascript
Summary(pl):	Dokumentacja do aplikacji Quanta dotyczca korzystania z Javascriptu
Group:		Documentation
Requires:	%{name}-doc = %{epoch}:%{version}-%{release}

%description doc-javascript
This package contains the Javascript manual.

%description doc-php -l pl
Pakiet ten zawiera podrcznik do Javascriptu.

%prep
%setup -q -a 1 -a 2 -a 3 -a 4

for f in `find . -name *.desktop | xargs grep -l '^Terminal=0'`; do
	%{__sed} -i -e 's/^Terminal=0/Terminal=false/' $f
done

%build
cp -f /usr/share/automake/config.sub admin
export kde_htmldir=%{_kdedocdir}
export kde_libs_htmldir=%{_kdedocdir}
export UNSERMAKE=%{_datadir}/unsermake/unsermake
%{__make} -f admin/Makefile.common cvs

%configure \
	--disable-rpath \
	--with-qt-libraries=%{_libdir} \
	--enable-final

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_libs_htmldir=%{_kdedocdir} \
	kde_htmldir=%{_kdedocdir}

# Debian manpages
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install debian/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

install -d $RPM_BUILD_ROOT%{_desktopdir}/kde

mv $RPM_BUILD_ROOT%{_datadir}/applnk/{Applications/*,Development/*} \
       $RPM_BUILD_ROOT%{_desktopdir}/kde
echo "Categories=Qt;KDE;Development;" >> $RPM_BUILD_ROOT%{_desktopdir}/kde/kxsldbg.desktop
echo "Categories=Qt;KDE;Utility;" >> $RPM_BUILD_ROOT%{_desktopdir}/kde/kfilereplacepart.desktop

cp -R css/css css/css.docrc html/html html/html.docrc javascript/javascript \
	javascript/javascript.docrc php/php php/php.docrc \
	$RPM_BUILD_ROOT%{_datadir}/apps/quanta/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files  
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_libdir}/libkommanderwidgets.la
%attr(755,root,root) %{_libdir}/libkommanderwidgets.so.*.*.*
%{_libdir}/libqtnotfier.la
%attr(755,root,root) %{_libdir}/libqtnotfier.so.*.*.*
%{_libdir}/libxsldbg.la
%attr(755,root,root) %{_libdir}/libxsldbg.so.*.*.*
%{_libdir}/kde3/libkfilereplacepart.la
%attr(755,root,root) %{_libdir}/kde3/libkfilereplacepart.so*
%{_libdir}/kde3/libkxsldbgpart.la
%attr(755,root,root) %{_libdir}/kde3/libkxsldbgpart.so*
#%dir %{_libdir}/quanta
#%dir %{_libdir}/quanta/plugins
#%attr(755,root,root) %{_libdir}/quanta/plugins/weblint
%{_datadir}/apps/kafkapart
%dir %{_datadir}/apps/kfilereplacepart
%{_datadir}/apps/kfilereplacepart/*
%dir %{_datadir}/apps/kxsldbg
%{_datadir}/apps/kxsldbg/kxsldbg_shell.rc
%dir %{_datadir}/apps/kxsldbgpart
%{_datadir}/apps/kxsldbgpart/kxsldbg_part.rc
%dir %{_datadir}/apps/quanta
%{_datadir}/apps/quanta/csseditor
%{_datadir}/apps/quanta/dtep
#%{_datadir}/apps/quanta/plugins
%{_datadir}/apps/quanta/scripts
%{_datadir}/apps/quanta/templates
%{_datadir}/apps/quanta/toolbar
%{_datadir}/apps/quanta/toolbars
%{_datadir}/apps/quanta/actions.rc
%{_datadir}/apps/quanta/chars
%{_datadir}/apps/quanta/plugins.rc
%{_datadir}/apps/quanta/quantaui.rc
%{_datadir}/apps/quanta/tips
# !!!
%{_datadir}/apps/templates
#
%{_datadir}/mimelnk/application/x-kommander.desktop
%{_datadir}/services/kfilereplacepart.desktop
%{_datadir}/services/kxsldbg_part.desktop
%{_desktopdir}/kde/*
%{_iconsdir}/[!l]*/*/*/*
%{_mandir}/man1/*.1*
%{_kdedocdir}/en/quanta
%{_kdedocdir}/en/kxsldbg

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkommanderwidgets.so
%attr(755,root,root) %{_libdir}/libqtnotfier.so
%attr(755,root,root) %{_libdir}/libxsldbg.so
%{_includedir}/kxsldbg_partif.h
%{_includedir}/kxsldbgif.h

%files doc
%defattr(644,root,root,755)
%dir %{_datadir}/apps/quanta/doc
%{_datadir}/apps/quanta/doc/*.css
%{_datadir}/apps/quanta/doc/*.docrc
%{_datadir}/apps/quanta/doc/*.html
%{_datadir}/apps/quanta/doc/*.gif
%{_datadir}/apps/quanta/doc/*.jpg
%{_datadir}/apps/quanta/doc/*.png

%files doc-css
%defattr(644,root,root,755)
%{_datadir}/apps/quanta/doc/css

%files doc-php
%defattr(644,root,root,755)
%{_datadir}/apps/quanta/doc/php

%files doc-html
%defattr(644,root,root,755)
%{_datadir}/apps/quanta/doc/html

%files doc-javascript
%defattr(644,root,root,755)
%{_datadir}/apps/quanta/doc/javascript

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: quanta.spec,v $
Revision 1.74  2004/07/29 05:02:28  ankry
- desktop fixes, rel. 2

Revision 1.73  2004/06/11 19:59:02  djurban
- finished, rel. 1 for ac

Revision 1.72  2004/06/11 19:34:49  djurban
- begin 3.2.3

Revision 1.71  2004/04/23 13:03:58  arekm
- builds

Revision 1.70  2004/04/21 19:19:28  arekm
- 3.2.2 md5sum

Revision 1.69  2004/03/16 22:39:40  qboosh
- test release 0.1

Revision 1.68  2004/03/16 22:37:23  qboosh
- updated Source0 md5

Revision 1.67  2004/03/16 22:35:51  qboosh
- one more Source0 fix

Revision 1.66  2004/03/16 22:33:16  qboosh
- Source0 fix

Revision 1.65  2004/03/16 20:52:30  arekm
- up ver

Revision 1.64  2004/03/16 20:46:02  arekm
- new tarballs (to be tested)

Revision 1.63  2004/02/23 22:09:01  ankry
- pl fixes, cosmetics

Revision 1.62  2004/02/12 11:53:50  djurban
-rebuild with new qt

Revision 1.61  2004/02/08 19:43:23  ankry
- spaces -> tabs

Revision 1.60  2004/02/06 14:58:22  qboosh
- added manuals from debian dir, BRs for ac,am; release 2

Revision 1.59  2004/02/05 14:29:51  djurban
- fix amd64

Revision 1.58  2004/02/04 13:35:01  djurban
- rel. 1
- finished i18n

Revision 1.57  2004/02/04 12:50:07  qboosh
- pl fixes, fixed Categories, updated i18n deps

Revision 1.56  2004/02/01 18:43:34  pluto
- fixed i18n's requires (s/quanta-quanta/quanta/)
- cosmetics

Revision 1.55  2004/01/31 17:22:04  djurban
-md5 update

Revision 1.54  2004/01/31 13:58:07  djurban
- updated to 3.2.0
- i18n shoudl me done
- md5 sum is wrong as always Ill do a mass commitlater, or if noone corrects them earlier

Revision 1.53  2004/01/11 21:29:19  djurban
- updated to 040110
- haha spidi dwa

Revision 1.52  2004/01/11 00:27:20  eothane
- proper ep09 address

Revision 1.51  2003/12/10 15:25:35  qboosh
- longer -devel descr, formatting, cosmetics

Revision 1.50  2003/12/08 23:48:53  adgor
- 031204

Revision 1.32.2.14  2003/11/16 13:25:02  adgor
- 031114

Revision 1.32.2.13  2003/11/07 23:34:48  adgor
- 031105

Revision 1.48  2003/11/07 22:29:19  adgor
- 031105

Revision 1.32.2.12  2003/10/28 10:34:48  adgor
- Added libxml2_2_6-fix.patch
- Release 2

Revision 1.32.2.11  2003/10/26 15:30:59  adgor
- 031024

Revision 1.32.2.10  2003/10/19 10:50:36  adgor
- 031014

Revision 1.32.2.9  2003/10/07 20:18:01  adgor
- 031006

Revision 1.32.2.8  2003/10/02 08:54:22  adgor
- 030930
- Changes where needed

Revision 1.32.2.7  2003/09/20 13:03:28  adgor
- 030918
- Version 3.1.91
- A lot of changes

Revision 1.32.2.6  2003/07/28 08:14:38  adgor
- Fixed BR

Revision 1.32.2.5  2003/07/27 19:36:19  adgor
- 030726

Revision 1.32.2.4  2003/07/11 01:34:21  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.32.2.3  2003/06/23 22:23:26  djurban
- new snaps (030623)
- sources back to kernel.pl

Revision 1.32.2.2  2003/06/19 09:43:49  adgor
- 030618
- Fixed %%install
- Standarized src urls

Revision 1.32.2.1  2003/04/02 19:40:46  djurban
- updated to 030402 (works!)

Revision 1.32  2003/03/21 16:05:45  adgor
- It's 3.1.1 final
- Release 1

Revision 1.31  2003/03/14 09:07:10  adgor
- Up to 3.1.1

Revision 1.30  2003/02/12 14:23:20  adgor
- Fixed %%files

Revision 1.29  2003/02/12 08:26:37  adgor
- 3.1 final
- 644 for *.la
- Release 4

Revision 1.28  2003/01/21 00:21:32  adgor
- Egh..

Revision 1.27  2003/01/21 00:20:06  adgor
- Typo

Revision 1.26  2003/01/21 00:19:19  adgor
- Updated to kde-3.1-rc7
- Changed Source0 URL
- Fixed req
- Added kde_appsdir parameter
- Removed QTDIR parameters
- version 3.1, release 3, epoch 1

Revision 1.25  2003/01/18 22:56:18  juandon
- removed two lines with define

Revision 1.24  2002/11/27 15:18:35  adgor
- Added no_install_post_chrpath definition
- Removed unused locolor icons
- Release 2.1

Revision 1.23  2002/11/27 12:13:11  adgor
- Fixes in %files section
- NFY

Revision 1.22  2002/11/27 11:41:41  djurban
Rel++ to distinguish tarballs

Revision 1.21  2002/10/30 13:04:38  ankry
- desktop moved to Editors/HTML, rel. 2

Revision 1.20  2002/10/10 22:13:15  djurban
- kde < 3.0.7 is no longer supported. Please use the one from DEVEL.

Revision 1.19  2002/10/10 20:47:19  kloczek
- Epoch: 1 (for allow upgrade from 3.0pr2a).

Revision 1.18  2002/10/10 20:21:20  djurban
- Quanta 3.0 final updated
- Added doc-* and kate-syntax subpackages
- kate-syntax does not work with kdebase < 3.0.7,
  because I can not find any documentation on %if construction in rpm
- Removed find-lang and .po source. quanta is a part of kde infrastructure (others)
  therefore its translation will be released in kde-i18n-xx-others-quanta with kde 3.1.

Revision 1.17  2002/09/11 23:30:16  blues
- 3.0pr2a - bugfixes - STBR

Revision 1.16  2002/09/10 22:54:57  blues
- release 2 - rebuild with updated pl translation

Revision 1.15  2002/09/10 15:22:24  blues
- 3.0pr2 - STBR

Revision 1.14  2002/09/04 14:39:37  blues
- release 3 - updated pl translation - STBR

Revision 1.13  2002/08/31 16:15:43  blues
- release 2 - STBR

Revision 1.12  2002/07/31 08:27:12  kloczek
- merge translations from Conectiva.

Revision 1.11  2002/07/30 23:21:49  blues
- release 1.2

Revision 1.10  2002/07/30 10:52:52  qboosh
- fixed icons and docs location (if it builds now)

Revision 1.9  2002/07/28 19:16:30  blues
- started with polish translation

Revision 1.8  2002/07/28 12:06:03  blues
- 3.0pr1 (for KDE3)

Revision 1.7  2002/07/10 08:41:55  qboosh
- s/kde-libs-devel/kdelibs-devel/

Revision 1.6  2002/07/09 20:25:14  blues
- it requires kde-libs

Revision 1.5  2002/04/26 06:33:49  fastviper
- upgraded to 2.0.1
- changed license to GPL (was 'unknown')
- adapterized

Revision 1.4  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:14:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/11 15:48:36  qboosh
- pl translations, changed Source URLs to ftp; NOTE: current is final 2.0

Revision 1.1  2001/08/18 15:41:59  waszi
- initial release (based on spec written by socrat :)
